Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06196 Interface Minor Always Apr 30, 2016, 19:36 May 29, 2016, 11:11
Tester r0ast3r View Status Public Platform MAME (Official Binary)
Assigned To bradhugh Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver
Version 0.173 Fixed in Version 0.175 Build 64-bit
Summary 06196: Window mode, can't set window size anymore
Description With 0.172 and below could always do something like:
-window -resolution 640x480
to get window of given size. As of 0.173 the window is maximized regardless of the given size.
Steps To Reproduce mame64 -window -resolution 640x480 game
Additional Information
Flags
Regression Version 0.173
Affected Sets / Systems
Attached Files
 


-  Notes
User avatar
No.12569
Tafoid
(Administrator)
Apr 30, 2016, 19:43
Strongly suspect April 21, 2016 regression:
https://github.com/mamedev/mame/commit/1a844a49c5fe01552347ea086ef7c65874dadf3e

Not proven by bisect, but it falls within the 12 hours I have binaries for and seems to touch the right files.
User avatar
No.12698
Pitou
(Tester)
May 21, 2016, 20:05
Talking ot Ultimarc, they think it's a major bug and that I should report it.
Not sure if it's related, but here it is anyway.

It seems that since Mame 0.173, the -resolution setting has no effect. I'm using it with the -switchres option and it does indeed select the closest resolution of the rom, but it doesn't take into account the resolution I provide or force.

Ex: mame -v -r 352x256 -switchres dkong

In that case, it will switchres and selects 256x240 instead of 352x256.

I'm using an ArcadeVGA 3000 along with a MakVision monitor.

I revert back to Mame 0.172 and it works fine.
User avatar
No.12699
Tafoid
(Administrator)
May 21, 2016, 20:14
Current GIT may have fixed this. 0.174 comes out on Wednesday if you cannot get a binary beforehand to test.
User avatar
No.12703
Pitou
(Tester)
May 22, 2016, 01:15
I'm setup to compile mame. I'll do a git pull and compile. Will try report before official 0.174 is released.

Thank you Tafoid!
User avatar
No.12717
r0ast3r
(Tester)
May 25, 2016, 20:39
not fixed in 0.174 unfortunately
User avatar
No.12718
Pitou
(Tester)
May 25, 2016, 23:17
I confirm
User avatar
No.12723
bradhugh
(Developer)
May 26, 2016, 23:48
Fixed with Commit 00239380, Fix -resolution and -switchres
User avatar
No.12729
Pitou
(Tester)
May 29, 2016, 11:11
Tested and it works. Thank you Brad.